/*
 * Copyright (C) Since 2006 JasmineSoft Inc. All Rights Reserved.
 */

package jp.jasminesoft.wagby.tests.models.nenkyu;

import jp.jasminesoft.jfc.test.support.selenide.DateTextBox;
import jp.jasminesoft.jfc.test.support.selenide.ListBox;
import jp.jasminesoft.jfc.test.support.selenide.WebModel;
import jp.jasminesoft.jfc.test.support.selenide.WebModelitem;

/**
 * nenkyu モデルの各入力項目を保持するクラス。
 *
 * @author JasumieSoft
 * @version $Revision$ $Date$
 */
public class Nenkyu extends WebModel {

    /**
     * コンストラクタ。
     */
    public Nenkyu() {
        super("nenkyu");
    }

    /** nenkyu/nenkyuid */
    public final WebModelitem<?> nenkyuid
            = new WebModelitem<>(this, "nenkyuid");

    /** nenkyu/applicant */
    public final ListBox applicant = new ListBox(this, "applicant");

    /** nenkyu/wfstatus */
    public final WebModelitem<?> wfstatus
            = new WebModelitem<>(this, "wfstatus");

    /** nenkyu/dayoff */
    public final DateTextBox dayoff = new DateTextBox(this, "dayoff");

    /** nenkyu/starthour */
    public final ListBox starthour = new ListBox(this, "starthour");

    /** nenkyu/startminute */
    public final ListBox startminute = new ListBox(this, "startminute");

    /** nenkyu/endhour */
    public final ListBox endhour = new ListBox(this, "endhour");

    /** nenkyu/endminute */
    public final ListBox endminute = new ListBox(this, "endminute");

    /** nenkyu/hours */
    public final WebModelitem<?> hours = new WebModelitem<>(this, "hours");

    /** nenkyu/title */
    public final WebModelitem<?> title = new WebModelitem<>(this, "title");

    /** nenkyu/reason */
    public final WebModelitem<?> reason = new WebModelitem<>(this, "reason");

}
